--- title: "Get List of Archived Malware Files" slug: "get-list-of-archived-malware-files-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-list-of-archived-malware-files-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get List of Archived Malware Files This URL gets the list of malware files currently archived on the Manager. ### Resource URL GET /malwarearchive/list ### Request Parameters None ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `ArchiveFileList` | List of archive files available in the Manager | Array | Details of ArchiveFileList: | Field Name | Description | Data Type | | --- | --- | --- | | `fileHashValue` | Hash value of the file | String | | `fileSize` | File size | Number | | `fileType` | File type | String | | `creationTime` | File creation time | String | ### Example **Request** GET [https:///sdkapi/malwarearchive/list](https://<NSM_IP>/sdkapi/malwarearchive/list) **Response** ``` {  "archiveFileDetails": [    {      "fileHashValue": "0bea3f79a36b1f67b2ce0f595524c77c",      "fileSize": 94784,      "fileType": "Executables",      "creationTime": "Tue Dec 18 21:35:13 IST 2012"    },    {      "fileHashValue": "4498f4c53d122c463861bbd3e8b903f7",      "fileSize": 91648,      "fileType": "Office Files",      "creationTime": "Tue Dec 18 21:40:12 IST 2012"    },    {      "fileHashValue": "d64c92b4a49d7ff50d8e61ee4ea42ee2",      "fileSize": 318976,      "fileType": "Office Files",      "creationTime": "Tue Dec 18 21:45:12 IST 2012"    },    {      "fileHashValue": "0d6054cbbe0ae053fde006f25a0ead61",      "fileSize": 1561,      "fileType": "Compressed Files",      "creationTime": "Tue Dec 18 21:45:12 IST 2012"    }  ] } ``` ### Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error |